"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseCommand_1 = require("../../BaseCommand");
class AuthToken extends BaseCommand_1.BaseCommand {
    constructor() {
        super(...arguments);
        this.defaultOutput = "raw";
    }
    async run() {
        const { args } = await this.parse(AuthToken);
        this.trelloConfig.setToken(args.token);
        this.output(`Token updated. Run ${this.config.bin} sync to update your local cache`);
    }
}
exports.default = AuthToken;
AuthToken.description = "Set the Trello API token (used to call the API)";
AuthToken.args = [{ name: "token", required: true }];
