"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseCommand_1 = require("../../BaseCommand");
const core_1 = require("@oclif/core");
class Archive extends BaseCommand_1.BaseCommand {
    async run() {
        const card = await this.client.cards.updateCard({
            id: this.lookups.card,
            closed: true,
        });
        this.output(card);
    }
    toData(data) {
        return {
            id: data.id,
            name: data.name,
            due: data.due,
            description: data.desc,
            labels: data.labels,
            url: data.url,
        };
    }
}
exports.default = Archive;
Archive.description = "Archive a card";
Archive.flags = {
    card: core_1.Flags.string({ required: true }),
    board: core_1.Flags.string({ required: true }),
    list: core_1.Flags.string({ required: true }),
};
