"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseCommand_1 = require("../../BaseCommand");
const core_1 = require("@oclif/core");
class Show extends BaseCommand_1.BaseCommand {
    async run() {
        const card = await this.client.cards.getCard({
            id: this.lookups.card,
        });
        this.output(card);
    }
    async toData(data) {
        return {
            id: data.id,
            name: data.name,
            due: data.due,
            description: data.desc,
            labels: data.labels,
            url: data.url,
            members: await this.cache.convertMemberIdsToEntity(data.idMembers),
        };
    }
}
exports.default = Show;
Show.description = "Show card details";
Show.flags = {
    card: core_1.Flags.string({ required: true }),
    board: core_1.Flags.string({ required: true }),
    list: core_1.Flags.string({ required: true }),
};
